[ngw] GW2014 R2 Sp1 install error - STILL

James Taylor James.Taylor at eastcobbgroup.com
Fri Aug 5 03:29:42 UTC 2016


Thanks.
I'll check it out.
 
 
>>> Mark Currie <MCurrie at laserfast.com.au> 8/4/2016 9:32 PM >>> 
Hi James,
The following from the manual worked for one of my sites, which the general users do not have administrator rights. I had a few go's to get it right, the GW 2014 R2 client worked but the SP1 had some issues  (the MS C++ redist wanting to repair..), but I have a new build which I have not tried yet which is supposed to fix the MS Redist issue. 

http://www.novell.com/documentation/groupwise2014r2/gw2014_guide_interop/data/interop_zen_config_mgt.html

Mark Currie




________________________________________
From: ngw-bounces+mcurrie=laserfast.com.au at ngwlist.com [ngw-bounces+mcurrie=laserfast.com.au at ngwlist.com] On Behalf Of James Taylor [James.Taylor at eastcobbgroup.com]
Sent: Friday, August 05, 2016 10:56 AM
To: ngwlist
Subject: Re: [ngw] GW2014 R2 Sp1 install error - STILL

Hey Paul -
Quick dumb question....
I have a client that has their windows 7 workstations locked down hard, so users don't have install rights.
I try very hard not to deal with the workstation side of things, so sometimes I miss the obvious.
I assume the auto-update/install won't work without install privileges on the workstation, and you would need something like zcm to push them out with elevated privileges.
Assuming that's the case, is there a zcm package configuration that can be referenced somewhere?
Thanks,
-jt



James Taylor
678-697-9420
james.taylor at eastcobbgroup.com



>>> "Paul Lamontagne" <Paul.Lamontagne at lamtechconsulting.com> 8/4/2016 7:47 PM >>>
Joe,

For a 100 % no user interaction deployment using the POA or Webserver

The client files used for the POA to update the client get extracted to these location


The GroupWise client software can be found on the GroupWise server in the following location:

Linux:
Windows:
/opt/novell/groupwise/agents/data/client/setup/win32
c:\Program Files\Novell\GroupWise Server\agents\data\client\setup\win32

Unfortunately they do not put the files required for a silent install there. you need to extract the windows version and locate in the GroupWise/client folder

Take the setup.cfg  located in the  client folder and copy it to the win32 folder on the server in the location above
copy the GroupWise\client\win32\setup.ini to the locations above depending on the platform.

Edit the setup.cfg file look for the 2 below sections and make these changes.

[ShowSetup]
ShowDialogs=Yes  Switch this to No
Show Progress = Yes
Show Finish = Yes


[GWCheck]
InstallGWCheck=Yes
GWCheckEnabled=No  I usually switch this to Yes as well   good idea you use caching clients


Edit setup.ini

change EnableLangdlg=Yes to No...

with both those files in the win32 folder the client should not be prompted with any questions for the upgrade. (make sure on linux that there are no setup.cfg~ or setup.ini~ files in the folder)

see the docs at https://www.novell.com/documentation/groupwise2014r2/gw2014_guide_admin/data/adm_cli_dist_client_autoupdate.html

>>> "Joe Brugaletta" <JBrugaletta at braytonlaw.com> 2016-08-04 2:17 PM >>>
Hey Pam, yep it was me, thanks for checking.

If I'm understanding correctly.. this is good news for us, since 99% of the users are still using the Gw 2012 client. So when I decide to roll out 2014 (hopefully with the fixed build), they wont get any errors.

On a similar note.. does anyone know how to take an FTF build of the client and "feed" it to the PO so that the Client Auto-Update feature will push out the FTF client and not just whatever matches the agent? Along those same lines, is it possible to provide the setup.cfg file to require no user intervention during an Auto Client Update triggered via the PO?

This email message is for the sole use of the intended recipient(s) and may contain confidential and privileged information. If you have received this e-mail in error, any disclosure, copying, distribution, or use of this communication is prohibited and we request that you contact us by reply email or call us at 415-898-1555, and then destroy all copies of our original message and any attachments.

>>> "Pam Robello" <pkrobello at gmail.com> 8/4/2016 10:45 AM >>>

Hi All,



I can't remember if it was Joe or someone else who asked me about upgrading from 2012 to 2014 and this error.  I did say that I did not believe that upgrading from 2012 to the fixed 2014 client would not see the error but that I didn't think we had tested it.



The engineering manager contacted me today to let me know that is indeed the case.  In the 2012 client the links to libraries were static where they are dynamic in the 2014 client.  That is why the 2014 client returns the error.  It searches for all paths for the file and the 2012 client didn't.



I just wanted to let you all know.



Pam


>>> Joe Brugaletta<JBrugaletta at braytonlaw.com> 7/8/2016 2:49 PM >>>


Also, opened SR#101001734041 about this back in April. Was told there was a defect on this already and they were going to push dev to fix it. Not sure what the status is, and I don't know the defect number.




This email message is for the sole use of the intended recipient(s) and may contain confidential and privileged information. If you have received this e-mail in error, any disclosure, copying, distribution, or use of this communication is prohibited and we request that you contact us by reply email or call us at 415-898-1555, and then destroy all copies of our original message and any attachments.




>>> "Joe Brugaletta" <JBrugaletta at braytonlaw.com> 7/8/2016 1:45 PM >>>

Reported this months ago.. and still weary of rolling out 2014 until it's fixed, as I don't want to deal with error messages during install company wide. has happened on a few test machines I've tried, so assume it would happen to most others.




WMS notif window: msiexec.exe - Ordinal Not Found

The ordinal 3212 could not be located in the dynamic link library LIBEAY32.dll




During the "Creating GroupWise Mapi Profile.." install step:

The ordinal 2760 could not be located in the dynamic link library LIBEAY32.dll




This email message is for the sole use of the intended recipient(s) and may contain confidential and privileged information. If you have received this e-mail in error, any disclosure, copying, distribution, or use of this communication is prohibited and we request that you contact us by reply email or call us at 415-898-1555, and then destroy all copies of our original message and any attachments.
_______________________________________________
ngw mailing list
ngw at ngwlist.com
http://ngwlist.com/mailman/listinfo/ngw





_______________________________________________
ngw mailing list
ngw at ngwlist.com
http://ngwlist.com/mailman/listinfo/ngw
_______________________________________________
ngw mailing list
ngw at ngwlist.com
http://ngwlist.com/mailman/listinfo/ngw




More information about the ngw mailing list